diff -ruN mozilla.orig/Makefile mozilla/Makefile
--- mozilla.orig/Makefile	Sat Oct 19 02:18:17 2002
+++ mozilla/Makefile	Fri Oct 18 18:28:21 2002
@@ -2,12 +2,11 @@
 # Date created:		31 Mar 1998
 # Whom:			eivind/dima/jseger
 #
-# $FreeBSD: ports/www/mozilla/Makefile,v 1.118 2002/10/18 02:48:07 marcus Exp $
+# $FreeBSD$
 #
 
 PORTNAME=	mozilla
-PORTVERSION=	1.0.1
-PORTREVISION=	2
+PORTVERSION=	1.1
 PORTEPOCH=	2
 CATEGORIES=	www
 MASTER_SITES=	${MASTER_SITE_MOZILLA} \
@@ -30,13 +29,19 @@
 
 WITHOUT_CHATZILLA=	"Contains a buffer overflow reported at http://online.securityfocus.com/archive/1/270249"
 
-USE_BZIP2=	yes
-EXTRACT_AFTER_ARGS=	| tar -xf - -X ${FILESDIR}/tar-exclude
+EXTRACT_AFTER_ARGS=	| ${TAR} -xf - --exclude */CVS/* \
+			--exclude */macbuild/*\
+			--exclude */package/* \
+			--exclude .cvsignore \
+			--exclude makefile.win \
+			--exclude MANIFEST
+
 USE_X_PREFIX=	yes
 USE_PERL5=	yes
 USE_GMAKE=	yes
 USE_GNOMENG=	yes
 USE_GNOME=	orbit gtk12
+USE_REINPLACE=	yes
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=					\
 		--disable-auto-deps		\
@@ -64,30 +69,23 @@
 		--with-system-png=${LOCALBASE}	\
 		--with-pthreads
 
+PLIST=	${WRKSRC}/pkg-plist
 # LDAP is only used by mail and news so disable both together
 .if defined(WITHOUT_MAILNEWS)
 CONFIGURE_ARGS+=	--disable-ldap --disable-mailnews
-PLIST_SUB+=	MOZILLAMAILNEWS="@comment "
-PLIST_SUB+=	MOZILLALDAP="@comment "
 .else
 # mail and news desired, but not LDAP
 .if defined(WITHOUT_LDAP)
 CONFIGURE_ARGS+=	--disable-ldap --enable-mailnews
-PLIST_SUB+=	MOZILLAMAILNEWS=""
-PLIST_SUB+=	MOZILLALDAP="@comment "
 .else
 CONFIGURE_ARGS+=	--enable-ldap --enable-mailnews
-PLIST_SUB+=	MOZILLAMAILNEWS=""
-PLIST_SUB+=	MOZILLALDAP=""
-.endif 
+.endif
 .endif
 
 .if !defined(WITHOUT_CHATZILLA)
 CONFIGURE_ARGS+=	--enable-extensions=default,irc,xmlterm
-PLIST_SUB+=	CHATZILLA=""
 .else
 CONFIGURE_ARGS+=	--enable-extensions=default,xmlterm
-PLIST_SUB+=	CHATZILLA="@comment "
 .endif
 CONFIGURE_ENV=	MOZ_INTERNAL_LIBART_LGPL=1
 
@@ -109,24 +107,43 @@
 BROKEN="You must upgrade your freetype port to 1.3.1_2 or higher before installing Mozilla.  If you have 1.3.1_2 installed, please remove ${LOCALBASE}/include/freetype, then build Mozilla"
 .endif
 
+post-patch:
+	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|g' \
+		${WRKSRC}/build/unix/run-mozilla.sh
+
 post-build:
 	${SED} -e "s;@PREFIX@;${PREFIX};g" \
 		${FILESDIR}/mozilla.sh >${WRKSRC}/mozilla
 	(cd ${WRKSRC}/dist/bin; \
 	  ${SETENV} LD_LIBRARY_PATH=. MOZILLA_FIVE_HOME=. ./regxpcom; \
-	  ${ECHO_CMD} skin,install,select,classic/1.0 >> chrome/installed-chrome.txt; \
-	  ${ECHO_CMD} locale,install,select,en-US >> chrome/installed-chrome.txt; \
-	  ${SETENV} LD_LIBRARY_PATH=. MOZILLA_FIVE_HOME=. ./regchrome)
+	  ${SETENV} LD_LIBRARY_PATH=. MOZILLA_FIVE_HOME=. ./regchrome; \
+	  ${TOUCH} ./chrome/user-skins.rdf ./chrome/user-locales.rdf)
 	${FIND} ${WRKSRC}/dist/bin -type d | /usr/bin/sort -r | \
 		${XARGS} ${RMDIR} 2> /dev/null || ${TRUE}
 
+pre-install:
+	${ECHO_CMD} bin/mozilla > ${PLIST}
+	${TEST} ! -L ${PREFIX}/lib/browser_plugins/libjavaplugin_oji.so && \
+	${ECHO_CMD} lib/browser_plugins/libjavaplugin_oji.so >> ${PLIST}
+	cd ${WRKSRC}/dist/bin && ${FIND} -s * -type f -o -type l | \
+		${SED} -e 's:^:lib/mozilla/:' >> ${PLIST} \
+		&& ${FIND} -d * -type d | \
+		${SED} -e 's:^:@dirrm lib/mozilla/:' >> ${PLIST}
+	${ECHO_CMD} @dirrm lib/mozilla >> ${PLIST}
+
 do-install:
 	${MKDIR} ${PREFIX}/lib/mozilla
 	${CHMOD} 755 ${PREFIX}/lib/mozilla
 	cd ${WRKSRC}/dist/bin && ${FIND} . | \
 		cpio -pdm -L -R ${LIBOWN}:${LIBGRP} ${PREFIX}/lib/mozilla
 	${INSTALL_SCRIPT} ${WRKSRC}/mozilla ${PREFIX}/bin
+	${TEST} -d ${PREFIX}/lib/browser_plugins && \
+	${MKDIR} ${PREFIX}/lib/browser_plugins
+	${TEST} ! -L ${PREFIX}/lib/browser_plugins/libjavaplugin_oji.so && \
 	${LN} -sf ${LOCALBASE}/jdk1.3.1/jre/plugin/i386/ns600/libjavaplugin_oji.so \
-		${PREFIX}/lib/mozilla/plugins/libjavaplugin_oji.so
+		${PREFIX}/lib/browser_plugins/libjavaplugin_oji.so
+
+post-install:
+	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.post.mk>
diff -ruN mozilla.orig/distinfo mozilla/distinfo
--- mozilla.orig/distinfo	Sat Oct 19 02:18:17 2002
+++ mozilla/distinfo	Wed Oct 16 00:23:09 2002
@@ -1,2 +1,2 @@
-MD5 (mozilla-source-1.0.1.tar.bz2) = 8a4b5be862c3a0c33a86adf3a3a67c09
-MD5 (libart_lgpl-1.0.1.tar.bz2) = f332c3c026adc1c2c0ceb3ac5847d5f5
+MD5 (mozilla-source-1.1.tar.gz) = 4fa54be2a540d584e428f50eaedfac76
+MD5 (libart_lgpl-1.1.tar.gz) = 276f65c384d020c36003260689806735
--- mozilla.orig/files/mozilla.sh	Sat Oct 19 02:18:17 2002
+++ mozilla/files/mozilla.sh	Wed Oct 16 00:36:11 2002
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $FreeBSD: ports/www/mozilla/files/mozilla.sh,v 1.4 2002/09/03 20:45:54 marcus Exp $
+# $FreeBSD$
 
 cd @PREFIX@/lib/mozilla
 exec ./mozilla "$@"
diff -ruN mozilla.orig/files/patch-Makefile.in mozilla/files/patch-Makefile.in
--- mozilla.orig/files/patch-Makefile.in	Sat Oct 19 02:18:17 2002
+++ mozilla/files/patch-Makefile.in	Wed Oct 16 00:23:09 2002
@@ -1,25 +1,22 @@
-
-$FreeBSD: ports/www/mozilla/files/patch-Makefile.in,v 1.3 2002/09/03 20:45:54 marcus Exp $
-
---- Makefile.in	2001/12/25 21:00:23	1.1
-+++ Makefile.in	2001/12/26 06:40:16
-@@ -64,8 +64,7 @@
- DIRS = $(NSPRPUB_DIR) \
+--- Makefile.in.orig	Thu May 30 20:39:07 2002
++++ Makefile.in	Wed Aug 28 13:55:32 2002
+@@ -70,8 +70,7 @@
  	$(tier_0_dirs) \
  	$(tier_1_dirs) \
+ 	$(tier_2_dirs) \
 -	$(tier_9_dirs) \
 -	$(NULL)
 +	$(tier_9_dirs)
  
- ifdef MOZ_LDAP_XPCOM
- DIRS += directory/c-sdk/ldap
-@@ -81,7 +80,8 @@
+ ifdef GC_LEAK_DETECTOR
+ DIRS += gc/boehm
+@@ -90,7 +89,8 @@
  DIRS += $(tier_98_dirs)
  endif
  
 -DIRS	+= $(tier_99_dirs)
 +DIRS	+= $(tier_99_dirs) \
-+	    $(NULL)
++		$(NULL)
  
  #
  # tier 0 - base build config dirs
diff -ruN mozilla.orig/files/patch-build_unix_run-mozilla.sh mozilla/files/patch-build_unix_run-mozilla.sh
--- mozilla.orig/files/patch-build_unix_run-mozilla.sh	Wed Dec 31 19:00:00 1969
+++ mozilla/files/patch-build_unix_run-mozilla.sh	Thu Oct 17 00:02:07 2002
@@ -0,0 +1,21 @@
+--- build/unix/run-mozilla.sh.orig	Thu Oct 17 00:00:21 2002
++++ build/unix/run-mozilla.sh	Thu Oct 17 00:01:24 2002
+@@ -392,7 +392,7 @@
+         export XSUNTRANSPORT XSUNSMESIZE
+ fi
+ # Font path for Xft
+-FONTCONFIG_PATH="/etc/fonts:${MOZILLA_FIVE_HOME}/res/Xft"
++FONTCONFIG_PATH="%%PREFIX%%/etc/fonts:${MOZILLA_FIVE_HOME}/res/Xft"
+ export FONTCONFIG_PATH
+ 
+ if [ "$moz_debug" -eq 1 ]
+@@ -435,6 +435,9 @@
+ #
+ export MOZILLA_FIVE_HOME LD_LIBRARY_PATH
+ export SHLIB_PATH LIBPATH LIBRARY_PATH ADDON_PATH DYLD_LIBRARY_PATH
++
++MOZ_PLUGIN_PATH %%PREFIX%%/lib/browser_plugins
++export MOZ_PLUGIN_PATH
+ 
+ if [ $moz_debug -eq 1 ]
+ then
diff -ruN mozilla.orig/files/patch-embedding::config::basebrowser-unix mozilla/files/patch-embedding::config::basebrowser-unix
--- mozilla.orig/files/patch-embedding::config::basebrowser-unix	Sat Oct 19 02:18:17 2002
+++ mozilla/files/patch-embedding::config::basebrowser-unix	Wed Oct 16 00:36:22 2002
@@ -1,5 +1,5 @@
 
-$FreeBSD: ports/www/mozilla/files/patch-embedding::config::basebrowser-unix,v 1.4 2002/09/03 20:45:54 marcus Exp $
+$FreeBSD$
 
 --- embedding/config/basebrowser-unix.orig	Thu Feb  7 23:50:19 2002
 +++ embedding/config/basebrowser-unix	Tue Mar 12 17:06:08 2002
diff -ruN mozilla.orig/files/patch-modules::libpref::src::unix::unix.js mozilla/files/patch-modules::libpref::src::unix::unix.js
--- mozilla.orig/files/patch-modules::libpref::src::unix::unix.js	Sat Oct 19 02:18:17 2002
+++ mozilla/files/patch-modules::libpref::src::unix::unix.js	Wed Oct 16 00:36:28 2002
@@ -1,5 +1,5 @@
 
-$FreeBSD: ports/www/mozilla/files/patch-modules::libpref::src::unix::unix.js,v 1.2 2002/09/03 20:45:54 marcus Exp $
+$FreeBSD$
 
 --- modules/libpref/src/unix/unix.js	2002/03/14 15:04:20	1.1
 +++ modules/libpref/src/unix/unix.js	2002/03/14 15:04:38
diff -ruN mozilla.orig/files/patch-security mozilla/files/patch-security
--- mozilla.orig/files/patch-security	Sat Oct 19 02:18:17 2002
+++ mozilla/files/patch-security	Thu Oct 17 23:06:56 2002
@@ -1,40 +1,57 @@
---- content/html/content/src/nsHTMLImageElement.cpp.orig	Tue Jun 18 20:17:56 2002
-+++ content/html/content/src/nsHTMLImageElement.cpp	Thu Oct 17 22:16:00 2002
-@@ -957,12 +957,17 @@
+Index: content/html/content/src/nsHTMLImageElement.cpp
+===================================================================
+RCS file: /cvsroot/mozilla/content/html/content/src/nsHTMLImageElement.cpp,v
+retrieving revision 1.121
+diff -u -r1.121 nsHTMLImageElement.cpp
+--- content/html/content/src/nsHTMLImageElement.cpp	24 Aug 2002 14:40:45 -0000	1.121
++++ content/html/content/src/nsHTMLImageElement.cpp	17 Sep 2002 04:07:27 -0000
+@@ -886,12 +886,17 @@
  
          nsCOMPtr<nsIDocument> doc;
          nsCOMPtr<nsILoadGroup> loadGroup;
-+	nsCOMPtr<nsIURI> documentURI;
++        nsCOMPtr<nsIURI> documentURI;
          shell->GetDocument(getter_AddRefs(doc));
          if (doc) {
            doc->GetDocumentLoadGroup(getter_AddRefs(loadGroup));
 +
-+	  // Get the documment URI for the referrer.
-+	  doc->GetDocumentURL(getter_AddRefs(documentURI));
++          // Get the documment URI for the referrer.
++          doc->GetDocumentURL(getter_AddRefs(documentURI));
          }
  
--        il->LoadImage(uri, nsnull, loadGroup, this, sup, nsIRequest::LOAD_NORMAL,
-+	// XXX: initialDocumentURI is NULL!
-+	il->LoadImage(uri, nsnull, documentURI, loadGroup, this, context, nsIRequest::LOAD_NORMAL,
+-        il->LoadImage(uri, nsnull, loadGroup, this, context, nsIRequest::LOAD_NORMAL,
++        // XXX: initialDocumentURI is NULL!
++        il->LoadImage(uri, nsnull, documentURI, loadGroup, this, context, nsIRequest::LOAD_NORMAL,
                        nsnull, nsnull, getter_AddRefs(mRequest));
        }
      }
---- content/xbl/src/nsXBLResourceLoader.cpp.orig	Tue Apr  9 22:30:27 2002
-+++ content/xbl/src/nsXBLResourceLoader.cpp	Thu Oct 17 22:17:21 2002
-@@ -126,8 +126,10 @@
+Index: content/xbl/src/nsXBLResourceLoader.cpp
+===================================================================
+RCS file: /cvsroot/mozilla/content/xbl/src/nsXBLResourceLoader.cpp,v
+retrieving revision 1.7
+diff -u -r1.7 nsXBLResourceLoader.cpp
+--- content/xbl/src/nsXBLResourceLoader.cpp	7 Sep 2002 17:08:43 -0000	1.7
++++ content/xbl/src/nsXBLResourceLoader.cpp	17 Sep 2002 04:07:29 -0000
+@@ -127,9 +127,11 @@
+         if (!il) continue;
        }
  
-       // Now kick off the image load
+-      // Now kick off the image load
++      // Now kick off the image load...
 +      // Passing NULL for pretty much everything -- cause we don't care!
-+      // XXX: initialDocumentURI is NULL!
++      // XXX: initialDocumentURI is NULL! 
        nsCOMPtr<imgIRequest> req;
 -      il->LoadImage(url, nsnull, nsnull, nsnull, nsnull, nsIRequest::LOAD_BACKGROUND, nsnull, nsnull, getter_AddRefs(req));
 +      il->LoadImage(url, nsnull, nsnull, nsnull, nsnull, nsnull, nsIRequest::LOAD_BACKGROUND, nsnull, nsnull, getter_AddRefs(req));
      }
      else if (curr->mType == nsXBLAtoms::stylesheet) {
        if (!cssLoader) {
---- layout/base/src/nsImageLoader.cpp.orig	Fri Apr 26 19:05:07 2002
-+++ layout/base/src/nsImageLoader.cpp	Thu Oct 17 22:19:28 2002
+Index: layout/base/src/nsImageLoader.cpp
+===================================================================
+RCS file: /cvsroot/mozilla/layout/base/src/nsImageLoader.cpp,v
+retrieving revision 3.11
+diff -u -r3.11 nsImageLoader.cpp
+--- layout/base/src/nsImageLoader.cpp	26 Apr 2002 20:44:37 -0000	3.11
++++ layout/base/src/nsImageLoader.cpp	17 Sep 2002 04:07:48 -0000
 @@ -92,8 +92,6 @@
      return NS_ERROR_FAILURE;
  
@@ -61,13 +78,18 @@
  
 -  return il->LoadImage(aURI, nsnull, loadGroup, NS_STATIC_CAST(imgIDecoderObserver *, this), 
 +  // XXX: initialDocumentURI is NULL!
-+  return il->LoadImage(aURI, nsnull, documentURI, loadGroup, NS_STATIC_CAST(imgIDecoderObserver *, this),
++  return il->LoadImage(aURI, nsnull, documentURI, loadGroup, NS_STATIC_CAST(imgIDecoderObserver *, this), 
                         nsnull, nsIRequest::LOAD_BACKGROUND, nsnull, nsnull, getter_AddRefs(mRequest));
  }
  
---- layout/html/base/src/nsBulletFrame.cpp.orig	Fri Jun  7 20:04:28 2002
-+++ layout/html/base/src/nsBulletFrame.cpp	Thu Oct 17 22:22:58 2002
-@@ -135,6 +135,16 @@
+Index: layout/html/base/src/nsBulletFrame.cpp
+===================================================================
+RCS file: /cvsroot/mozilla/layout/html/base/src/nsBulletFrame.cpp,v
+retrieving revision 1.79
+diff -u -r1.79 nsBulletFrame.cpp
+--- layout/html/base/src/nsBulletFrame.cpp	12 Jul 2002 20:46:19 -0000	1.79
++++ layout/html/base/src/nsBulletFrame.cpp	17 Sep 2002 04:07:49 -0000
+@@ -134,6 +134,16 @@
      nsCOMPtr<nsIURI> imgURI;
      NS_NewURI(getter_AddRefs(imgURI), myList->mListStyleImage, nsnull, baseURI);
  
@@ -75,16 +97,16 @@
 +    nsCOMPtr<nsIURI> documentURI;
 +    nsCOMPtr<nsIDocument> doc;
 +    if (mContent) {
-+	(void) mContent->GetDocument(*getter_AddRefs(doc));
-+	if (doc) {
-+	    doc->GetDocumentURL(getter_AddRefs(documentURI));
-+	}
++      (void) mContent->GetDocument(*getter_AddRefs(doc));
++      if (doc) {
++        doc->GetDocumentURL(getter_AddRefs(documentURI));
++      }
 +    }
 +
      if (!mListener) {
        nsBulletListener *listener;
        NS_NEWXPCOM(listener, nsBulletListener);
-@@ -145,7 +155,8 @@
+@@ -144,7 +154,8 @@
        NS_RELEASE(listener);
      }
  
@@ -94,29 +116,35 @@
    }
  
    return NS_OK;
-@@ -1481,7 +1492,18 @@
+@@ -1529,7 +1540,19 @@
          nsCOMPtr<nsILoadGroup> loadGroup;
          GetLoadGroup(aPresContext, getter_AddRefs(loadGroup));
  
 -        il->LoadImage(newURI, nsnull, loadGroup, mListener, aPresContext, nsIRequest::LOAD_NORMAL, nsnull, nsnull, getter_AddRefs(mImageRequest));
-+	// Get the document URI for the referrer...
-+	nsCOMPtr<nsIURI> documentURI;
-+	nsCOMPtr<nsIDocument> doc;
-+	if (mContent) {
-+	    (void) mContent->GetDocument(*getter_AddRefs(doc));
-+	    if (doc) {
-+		doc->GetDocumentURL(getter_AddRefs(documentURI));
-+	    }
-+	}
++        // Get the document URI for the referrer...
++        nsCOMPtr<nsIURI> documentURI;
++        nsCOMPtr<nsIDocument> doc;
++        if (mContent) {
++          (void) mContent->GetDocument(*getter_AddRefs(doc));
++          if (doc) {
++            doc->GetDocumentURL(getter_AddRefs(documentURI));
++          }
++        }
 +
-+	// XXX: initialDocumentURI is NULL !
-+	il->LoadImage(newURI, nsnull, documentURI, loadGroup, mListener, aPresContext, nsIRequest::LOAD_NORMAL, nsnull, nsnull, getter_AddRefs(mImageRequest));
++
++        // XXX: initialDocumentURI is NULL !
++        il->LoadImage(newURI, nsnull, documentURI, loadGroup, mListener, aPresContext, nsIRequest::LOAD_NORMAL, nsnull, nsnull, getter_AddRefs(mImageRequest));
        }
      }
    }
---- layout/html/base/src/nsImageFrame.cpp.orig	Fri Jun 21 19:01:22 2002
-+++ layout/html/base/src/nsImageFrame.cpp	Thu Oct 17 22:24:47 2002
-@@ -1980,8 +1980,19 @@
+Index: layout/html/base/src/nsImageFrame.cpp
+===================================================================
+RCS file: /cvsroot/mozilla/layout/html/base/src/nsImageFrame.cpp,v
+retrieving revision 1.248
+diff -u -r1.248 nsImageFrame.cpp
+--- layout/html/base/src/nsImageFrame.cpp	3 Sep 2002 22:49:51 -0000	1.248
++++ layout/html/base/src/nsImageFrame.cpp	17 Sep 2002 04:07:49 -0000
+@@ -2001,8 +2001,19 @@
  
    nsCOMPtr<nsIURI> baseURI;
    rv = aPresContext->GetBaseURL(getter_AddRefs(baseURI));
@@ -125,10 +153,10 @@
 +  nsCOMPtr<nsIURI> documentURI;
 +  nsCOMPtr<nsIDocument> doc;
 +  if (mContent) {
-+      (void) mContent->GetDocument(*getter_AddRefs(doc));
-+      if (doc) {
-+	  doc->GetDocumentURL(getter_AddRefs(documentURI));
-+      }
++    (void) mContent->GetDocument(*getter_AddRefs(doc));
++    if (doc) {
++      doc->GetDocumentURL(getter_AddRefs(documentURI));
++    }
 +  }
 +
    nsCOMPtr<imgIRequest> tempRequest;
@@ -137,9 +165,14 @@
  }
  
  #define INTERNAL_GOPHER_LENGTH 16 /* "internal-gopher-" length */
---- layout/xul/base/src/nsImageBoxFrame.cpp.orig	Tue Apr  9 23:01:17 2002
-+++ layout/xul/base/src/nsImageBoxFrame.cpp	Thu Oct 17 22:26:39 2002
-@@ -457,7 +457,19 @@
+Index: layout/xul/base/src/nsImageBoxFrame.cpp
+===================================================================
+RCS file: /cvsroot/mozilla/layout/xul/base/src/nsImageBoxFrame.cpp,v
+retrieving revision 1.39
+diff -u -r1.39 nsImageBoxFrame.cpp
+--- layout/xul/base/src/nsImageBoxFrame.cpp	23 May 2002 00:00:32 -0000	1.39
++++ layout/xul/base/src/nsImageBoxFrame.cpp	17 Sep 2002 04:07:54 -0000
+@@ -456,7 +456,18 @@
    nsCOMPtr<nsILoadGroup> loadGroup;
    GetLoadGroup(aPresContext, getter_AddRefs(loadGroup));
  
@@ -148,72 +181,114 @@
 +  nsCOMPtr<nsIURI> documentURI;
 +  nsCOMPtr<nsIDocument> doc;
 +  if (mContent) {
-+      (void) mContent->GetDocument(*getter_AddRefs(doc));
-+      if (doc) {
-+	  doc->GetDocumentURL(getter_AddRefs(documentURI));
-+      }
++    (void) mContent->GetDocument(*getter_AddRefs(doc));
++    if (doc) {
++      doc->GetDocumentURL(getter_AddRefs(documentURI));
++    }
 +  }
 +
 +  // XXX: initialDocumentURI is NULL!
 +  il->LoadImage(srcURI, nsnull, documentURI, loadGroup, mListener, aPresContext, mLoadFlags, nsnull, nsnull, getter_AddRefs(mImageRequest));
-+
  
    aResize = PR_TRUE;
  }
---- modules/libpr0n/public/imgILoader.idl.orig	Tue Apr  9 23:09:00 2002
-+++ modules/libpr0n/public/imgILoader.idl	Thu Oct 17 22:30:35 2002
-@@ -57,9 +57,14 @@
+Index: layout/xul/base/src/tree/src/nsTreeBodyFrame.cpp
+===================================================================
+RCS file: /cvsroot/mozilla/layout/xul/base/src/tree/src/nsTreeBodyFrame.cpp,v
+retrieving revision 1.136
+diff -u -r1.136 nsTreeBodyFrame.cpp
+--- layout/xul/base/src/tree/src/nsTreeBodyFrame.cpp	7 Sep 2002 05:37:42 -0000	1.136
++++ layout/xul/base/src/tree/src/nsTreeBodyFrame.cpp	17 Sep 2002 04:07:54 -0000
+@@ -1862,8 +1862,14 @@
+ 
+     nsresult rv;
+     nsCOMPtr<imgILoader> il(do_GetService("@mozilla.org/image/loader;1", &rv));
++
++    // Get the documment URI for the referrer.
++    nsCOMPtr<nsIURI> documentURI;
++    doc->GetDocumentURL(getter_AddRefs(documentURI));
++
+     mImageGuard = PR_TRUE;
+-    rv = il->LoadImage(srcURI, nsnull, nsnull, listener, mPresContext, nsIRequest::LOAD_NORMAL, nsnull, nsnull, getter_AddRefs(imageRequest));
++    // XXX: initialDocumentURI is NULL!
++    rv = il->LoadImage(srcURI, nsnull, documentURI, nsnull, listener, mPresContext, nsIRequest::LOAD_NORMAL, nsnull, nsnull, getter_AddRefs(imageRequest));
+     mImageGuard = PR_FALSE;
+ 
+     // In a case it was already cached.
+Index: modules/libpr0n/public/imgILoader.idl
+===================================================================
+RCS file: /cvsroot/mozilla/modules/libpr0n/public/imgILoader.idl,v
+retrieving revision 1.8
+diff -u -r1.8 imgILoader.idl
+--- modules/libpr0n/public/imgILoader.idl	23 Mar 2002 13:21:27 -0000	1.8
++++ modules/libpr0n/public/imgILoader.idl	17 Sep 2002 04:08:04 -0000
+@@ -48,6 +48,8 @@
+   /**
+    * Start the load and decode of an image.
+    * @param aURI the URI to load
++   * @param aInitialDocumentURI the URI that 'initiated' the load -- used for 3rd party cookie blocking
++   * @param aReferrerURI the 'referring' URI
+    * @param aLoadGroup Loadgroup to put the image load into
+    * @param aObserver the observer
+    * @param aCX some random data
+@@ -57,9 +59,14 @@
     * @param aRequest A newly created, unused imgIRequest object or NULL for one to
                       be created for you.
     */
 -  imgIRequest loadImage(in nsIURI aURI, in nsIURI parentURL, in nsILoadGroup aLoadGroup,
 -                        in imgIDecoderObserver aObserver, in nsISupports aCX,
 -                        in nsLoadFlags aLoadFlags, in nsISupports cacheKey,
-+   imgIRequest loadImage(in nsIURI aURI,
-+   			in nsIURI aInitialDocumentURL,
-+			in nsIURI aReferrerURI,
-+			in nsILoadGroup aLoadGroup,
-+			in imgIDecoderObserver aObserver,
-+			in nsISupports aCX,
-+			in nsLoadFlags aLoadFlags,
-+			in nsISupports cacheKey,
++  imgIRequest loadImage(in nsIURI aURI,
++                        in nsIURI aInitialDocumentURL,
++                        in nsIURI aReferrerURI,
++                        in nsILoadGroup aLoadGroup,
++                        in imgIDecoderObserver aObserver,
++                        in nsISupports aCX,
++                        in nsLoadFlags aLoadFlags,
++                        in nsISupports cacheKey,
                          in imgIRequest aRequest);
  
    /**
---- modules/libpr0n/src/imgLoader.cpp.orig	Mon Jun 10 18:07:05 2002
-+++ modules/libpr0n/src/imgLoader.cpp	Thu Oct 17 22:33:23 2002
-@@ -111,11 +111,17 @@
+Index: modules/libpr0n/src/imgLoader.cpp
+===================================================================
+RCS file: /cvsroot/mozilla/modules/libpr0n/src/imgLoader.cpp,v
+retrieving revision 1.50
+diff -u -r1.50 imgLoader.cpp
+--- modules/libpr0n/src/imgLoader.cpp	12 Sep 2002 08:42:39 -0000	1.50
++++ modules/libpr0n/src/imgLoader.cpp	17 Sep 2002 04:08:04 -0000
+@@ -112,11 +112,18 @@
    return 1;
  }
  
 -/* imgIRequest loadImage (in nsIURI aURI, in nsIURI parentURI, in nsILoadGroup aLoadGroup, in imgIDecoderObserver aObserver, in nsISupports aCX, in nsLoadFlags aLoadFlags, in nsISupports cacheKey, in imgIRequest aRequest); */
++/* imgIRequest loadImage (in nsIURI aURI, in nsIURI initialDocumentURI, in nsILoadGroup aLoadGroup, in imgIDecoderObserver aObserver, in nsISupports aCX, in nsLoadFlags aLoadFlags, in nsISupports cacheKey, in imgIRequest aRequest); */
  
 -NS_IMETHODIMP imgLoader::LoadImage(nsIURI *aURI, nsIURI *parentURI, nsILoadGroup *aLoadGroup,
 -                                   imgIDecoderObserver *aObserver, nsISupports *aCX, nsLoadFlags aLoadFlags,
 -                                   nsISupports *cacheKey, imgIRequest *aRequest, imgIRequest **_retval)
-+NS_IMETHODIMP imgLoader::LoadImage(nsIURI *aURI,
-+				nsIURI *initialDocumentURI,
-+				nsIURI *referrerURI,
-+				nsILoadGroup *aLoadGroup,
-+				imgIDecoderObserver *aObserver,
-+				nsISupports *aCX,
-+				nsLoadFlags aLoadFlags,
-+				nsISupports *cacheKey,
-+				imgIRequest *aRequest,
-+				imgIRequest **_retval)
++NS_IMETHODIMP imgLoader::LoadImage(nsIURI *aURI, 
++                                   nsIURI *initialDocumentURI,
++                                   nsIURI *referrerURI,
++                                   nsILoadGroup *aLoadGroup,
++                                   imgIDecoderObserver *aObserver,
++                                   nsISupports *aCX,
++                                   nsLoadFlags aLoadFlags,
++                                   nsISupports *cacheKey,
++                                   imgIRequest *aRequest,
++                                   imgIRequest **_retval)
  {
    NS_ASSERTION(aURI, "imgLoader::LoadImage -- NULL URI pointer");
  
-@@ -298,7 +304,7 @@
+@@ -301,7 +308,7 @@
  
      nsCOMPtr<nsIHttpChannel> newHttpChannel = do_QueryInterface(newChannel);
      if (newHttpChannel) {
 -      newHttpChannel->SetDocumentURI(parentURI);
-+	newHttpChannel->SetDocumentURI(initialDocumentURI);
++      newHttpChannel->SetDocumentURI(initialDocumentURI);
      }
  
      if (aLoadGroup) {
-@@ -343,24 +349,8 @@
+@@ -348,24 +355,8 @@
        nsCOMPtr<nsIHttpChannel> httpChannel(do_QueryInterface(newChannel));
  
        if (httpChannel) {
@@ -235,26 +310,8 @@
 -            }
 -          }   
 -        }
-+	  // Set the referrer
-+	  httpChannel->SetReferrer(referrerURI, nsIHttpChannel::REFERRER_INLINES);
++        // Set the referrer
++        httpChannel->SetReferrer(referrerURI, nsIHttpChannel::REFERRER_INLINES);
        }
      }
  
---- layout/xul/base/src/tree/src/nsTreeBodyFrame.cpp.orig	Tue Jun 25 00:00:35 2002
-+++ layout/xul/base/src/tree/src/nsTreeBodyFrame.cpp	Thu Oct 17 22:28:04 2002
-@@ -1725,8 +1725,14 @@
- 
-     nsresult rv;
-     nsCOMPtr<imgILoader> il(do_GetService("@mozilla.org/image/loader;1", &rv));
-+
-+    // Get the documment URI for the referrer.
-+    nsCOMPtr<nsIURI> documentURI;
-+    doc->GetDocumentURL(getter_AddRefs(documentURI));
-+
-     mImageGuard = PR_TRUE;
--    rv = il->LoadImage(srcURI, nsnull, nsnull, listener, mPresContext, nsIRequest::LOAD_NORMAL, nsnull, nsnull, getter_AddRefs(imageRequest));
-+    // XXX: initialDocumentURI is NULL!
-+    rv = il->LoadImage(srcURI, nsnull, documentURI, nsnull, listener, mPresContext, nsIRequest::LOAD_NORMAL, nsnull, nsnull, getter_AddRefs(imageRequest));
-     mImageGuard = PR_FALSE;
- 
-     // In a case it was already cached.
diff -ruN mozilla.orig/files/patch-security::coreconf::FreeBSD.mk mozilla/files/patch-security::coreconf::FreeBSD.mk
--- mozilla.orig/files/patch-security::coreconf::FreeBSD.mk	Sat Oct 19 02:18:17 2002
+++ mozilla/files/patch-security::coreconf::FreeBSD.mk	Wed Oct 16 00:36:42 2002
@@ -1,5 +1,5 @@
 
-$FreeBSD: ports/www/mozilla/files/patch-security::coreconf::FreeBSD.mk,v 1.3 2002/09/03 20:45:54 marcus Exp $
+$FreeBSD$
 
 --- security/coreconf/FreeBSD.mk.orig	Sat Mar  9 00:17:36 2002
 +++ security/coreconf/FreeBSD.mk	Tue Mar 12 17:19:15 2002
diff -ruN mozilla.orig/files/tar-exclude mozilla/files/tar-exclude
--- mozilla.orig/files/tar-exclude	Sat Oct 19 02:18:17 2002
+++ mozilla/files/tar-exclude	Wed Dec 31 19:00:00 1969
@@ -1,6 +0,0 @@
-*/CVS/*
-*/macbuild/*
-*/package/*
-.cvsignore
-makefile.win
-MANIFEST
diff -ruN mozilla.orig/pkg-descr mozilla/pkg-descr
--- mozilla.orig/pkg-descr	Sat Oct 19 02:18:17 2002
+++ mozilla/pkg-descr	Wed Oct 16 00:23:09 2002
@@ -1,11 +1,10 @@
-This is the open source web browser, which forms the basis for
-Netscape Navigator 6 and higher.  It should be fully compliant with all W3C
-standards, including HTML, CSS, XML, XSL, JavaScript, MathML,
-SVG and RDF.  This version also supports SSL encryption, and Java 
+This is the current release of the Mozilla open source web browser. It should 
+be fully compliant with all W3C standards, including HTML, CSS, XML, XSL, 
+JavaScript, MathML, SVG and RDF.  This version also supports SSL encryption, 
 and Java with the use of the FreeBSD native Java plug-in.
 
-This version is described by mozilla.org as their stable vendor release.  Users
-needing the Mozilla vendor API (for applications such as Galeon), or users
-new to Mozilla should stick with this version.
+This is the latest release of the Mozilla browser.  It contains all the 
+bugfixes and security enhancements from the mozilla port as well as
+new new features.
 
 WWW: http://www.mozilla.org/
diff -ruN mozilla.orig/pkg-message mozilla/pkg-message
--- mozilla.orig/pkg-message	Wed Dec 31 19:00:00 1969
+++ mozilla/pkg-message	Wed Oct 16 00:44:51 2002
@@ -0,0 +1,9 @@
+###
+A symlink has been created for the Java plugin.  However, in order for Java
+to function, you must first install the java/jdk13 port.  If you do not
+do this, you will see the following error when starting Mozilla:
+
+LoadPlugin: failed to initialize shared library /usr/local/jdk1.3.1/jre/plugin/i386/ns600/libjavaplugin_oji.so [Cannot open "/usr/local/jdk1.3.1/jre/plugin/i386/ns600/libjavaplugin_oji.so"]
+
+If you do not want Java support, you can safely ignore this message.
+###
diff -ruN mozilla.orig/pkg-plist mozilla/pkg-plist
--- mozilla.orig/pkg-plist	Sat Oct 19 02:18:17 2002
+++ mozilla/pkg-plist	Wed Dec 31 19:00:00 1969
@@ -1,595 +0,0 @@
-bin/mozilla
-lib/mozilla/DocStream
-lib/mozilla/HelloWorld
-lib/mozilla/INSTALL.xmlterm
-lib/mozilla/TestGtkEmbed
-lib/mozilla/TestGtkEmbedChild
-lib/mozilla/TestGtkEmbedNotebook
-lib/mozilla/TestGtkEmbedSocket
-lib/mozilla/bloaturls.txt
-lib/mozilla/chrome/US.jar
-%%CHATZILLA%%lib/mozilla/chrome/chatzilla.jar
-lib/mozilla/chrome/chrome.rdf
-lib/mozilla/chrome/chromelist.txt
-lib/mozilla/chrome/classic.jar
-lib/mozilla/chrome/comm.jar
-lib/mozilla/chrome/content-packs.jar
-lib/mozilla/chrome/embed-sample.jar
-lib/mozilla/chrome/en-US.jar
-lib/mozilla/chrome/en-mac.jar
-lib/mozilla/chrome/en-unix.jar
-lib/mozilla/chrome/en-win.jar
-lib/mozilla/chrome/forms.jar
-lib/mozilla/chrome/help.jar
-lib/mozilla/chrome/inspector.jar
-lib/mozilla/chrome/installed-chrome.txt
-%%MOZILLAMAILNEWS%%lib/mozilla/chrome/messenger.jar
-lib/mozilla/chrome/modern.jar
-lib/mozilla/chrome/overlayinfo/communicator/content/overlays.rdf
-%%MOZILLAMAILNEWS%%lib/mozilla/chrome/overlayinfo/cookie/content/overlays.rdf
-%%MOZILLAMAILNEWS%%lib/mozilla/chrome/overlayinfo/editor/content/overlays.rdf
-lib/mozilla/chrome/overlayinfo/inspector/content/overlays.rdf
-lib/mozilla/chrome/overlayinfo/messenger/content/overlays.rdf
-lib/mozilla/chrome/overlayinfo/navigator/content/overlays.rdf
-lib/mozilla/chrome/pipnss.jar
-lib/mozilla/chrome/pippki.jar
-lib/mozilla/chrome/toolkit.jar
-lib/mozilla/chrome/venkman.jar
-lib/mozilla/chrome/xmlterm.jar
-lib/mozilla/component.reg
-%%MOZILLAMAILNEWS%%lib/mozilla/components/absync.xpt
-lib/mozilla/components/accessibility.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/addrbook.xpt
-lib/mozilla/components/appshell.xpt
-lib/mozilla/components/autocomplete.xpt
-lib/mozilla/components/autoconfig.xpt
-lib/mozilla/components/bookmarks.xpt
-lib/mozilla/components/caps.xpt
-lib/mozilla/components/chardet.xpt
-%%CHATZILLA%%lib/mozilla/components/chatzilla-service.js
-lib/mozilla/components/chrome.xpt
-lib/mozilla/components/commandhandler.xpt
-lib/mozilla/components/composer.xpt
-lib/mozilla/components/content.xpt
-lib/mozilla/components/content_base.xpt
-lib/mozilla/components/content_html.xpt
-lib/mozilla/components/content_xslt.xpt
-lib/mozilla/components/cookie.xpt
-lib/mozilla/components/directory.xpt
-lib/mozilla/components/docshell.xpt
-lib/mozilla/components/dom.xpt
-lib/mozilla/components/dom_base.xpt
-lib/mozilla/components/dom_core.xpt
-lib/mozilla/components/dom_css.xpt
-lib/mozilla/components/dom_events.xpt
-lib/mozilla/components/dom_html.xpt
-lib/mozilla/components/dom_range.xpt
-lib/mozilla/components/dom_stylesheets.xpt
-lib/mozilla/components/dom_svg.xpt
-lib/mozilla/components/dom_traversal.xpt
-lib/mozilla/components/dom_views.xpt
-lib/mozilla/components/dom_xbl.xpt
-lib/mozilla/components/dom_xpath.xpt
-lib/mozilla/components/dom_xul.xpt
-lib/mozilla/components/downloadmanager.xpt
-lib/mozilla/components/editor.xpt
-lib/mozilla/components/embed_base.xpt
-lib/mozilla/components/exthandler.xpt
-lib/mozilla/components/filepicker.xpt
-lib/mozilla/components/find.xpt
-lib/mozilla/components/gfx.xpt
-lib/mozilla/components/gfx2.xpt
-lib/mozilla/components/helperAppDlg.xpt
-lib/mozilla/components/history.xpt
-lib/mozilla/components/htmlparser.xpt
-lib/mozilla/components/imglib2.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/impComm4xMail.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/import.xpt
-lib/mozilla/components/inspector.xpt
-lib/mozilla/components/intl.xpt
-lib/mozilla/components/jar.xpt
-lib/mozilla/components/jsconsole-clhandler.js
-lib/mozilla/components/jsconsole.xpt
-lib/mozilla/components/jsdservice.xpt
-lib/mozilla/components/jsurl.xpt
-lib/mozilla/components/layout_base.xpt
-lib/mozilla/components/layout_xul.xpt
-lib/mozilla/components/layout_xul_tree.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libabsyncsvc.so
-lib/mozilla/components/libaccessibility.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libaddrbook.so
-lib/mozilla/components/libappcomps.so
-lib/mozilla/components/libautoconfig.so
-lib/mozilla/components/libcaps.so
-lib/mozilla/components/libchardet.so
-lib/mozilla/components/libchrome.so
-lib/mozilla/components/libcomposer.so
-lib/mozilla/components/libcookie.so
-lib/mozilla/components/libdocshell.so
-lib/mozilla/components/libeditor.so
-lib/mozilla/components/libembedcomponents.so
-lib/mozilla/components/libfileview.so
-lib/mozilla/components/libgfx2.so
-lib/mozilla/components/libgfx_gtk.so
-lib/mozilla/components/libgfxps.so
-lib/mozilla/components/libgfxxprint.so
-lib/mozilla/components/libgkcontent.so
-lib/mozilla/components/libgklayout.so
-lib/mozilla/components/libgkplugin.so
-lib/mozilla/components/libgkview.so
-lib/mozilla/components/libhtmlpars.so
-lib/mozilla/components/libimgbmp.so
-lib/mozilla/components/libimggif.so
-lib/mozilla/components/libimgjpeg.so
-lib/mozilla/components/libimglib2.so
-lib/mozilla/components/libimgmng.so
-lib/mozilla/components/libimgpng.so
-lib/mozilla/components/libimgppm.so
-lib/mozilla/components/libimgxbm.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libimpComm4xMail.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libimpText.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libimport.so
-lib/mozilla/components/libinspector.so
-lib/mozilla/components/libjar50.so
-lib/mozilla/components/libjsd.so
-lib/mozilla/components/libjsdom.so
-lib/mozilla/components/libjsloader.so
-lib/mozilla/components/libjsurl.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/liblocalmail.so
-lib/mozilla/components/liblwbrk.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libmailnews.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libmime.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libmimeemitter.so
-lib/mozilla/components/libmork.so
-lib/mozilla/components/libmozbrwsr.so
-lib/mozilla/components/libmozfind.so
-%%MOZILLALDAP%%lib/mozilla/components/libmozldap.so
-lib/mozilla/components/libmozxfer.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libmsgcompose.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libmsgdb.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libmsgimap.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libmsgmdn.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libmsgnews.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libmsgsmime.so
-lib/mozilla/components/libnecko.so
-lib/mozilla/components/libnecko2.so
-lib/mozilla/components/libnkcache.so
-lib/mozilla/components/libnsappshell.so
-lib/mozilla/components/libnslocale.so
-lib/mozilla/components/libnsprefm.so
-lib/mozilla/components/liboji.so
-lib/mozilla/components/libpipboot.so
-lib/mozilla/components/libpipnss.so
-lib/mozilla/components/libpippki.so
-lib/mozilla/components/libpref.so
-lib/mozilla/components/libprofile.so
-lib/mozilla/components/librdf.so
-lib/mozilla/components/libregviewer.so
-lib/mozilla/components/libshistory.so
-lib/mozilla/components/libstrres.so
-lib/mozilla/components/libtransformiix.so
-lib/mozilla/components/libtxmgr.so
-lib/mozilla/components/libtxtsvc.so
-lib/mozilla/components/libuconv.so
-lib/mozilla/components/libucvcn.so
-lib/mozilla/components/libucvibm.so
-lib/mozilla/components/libucvja.so
-lib/mozilla/components/libucvko.so
-lib/mozilla/components/libucvlatin.so
-lib/mozilla/components/libucvmath.so
-lib/mozilla/components/libucvtw.so
-lib/mozilla/components/libucvtw2.so
-lib/mozilla/components/libunicharutil.so
-lib/mozilla/components/libuniversalchardet.so
-lib/mozilla/components/liburiloader.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libvcard.so
-lib/mozilla/components/libwallet.so
-lib/mozilla/components/libwalletviewers.so
-lib/mozilla/components/libwebbrwsr.so
-lib/mozilla/components/libwidget_gtk.so
-lib/mozilla/components/libxmlextras.so
-lib/mozilla/components/libxmlterm.so
-lib/mozilla/components/libxpconnect.so
-lib/mozilla/components/libxpinstall.so
-lib/mozilla/components/libxremote_client.so
-lib/mozilla/components/libxremoteservice.so
-lib/mozilla/components/locale.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/mailnews.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/mdn-service.js
-%%MOZILLAMAILNEWS%%lib/mozilla/components/mime.xpt
-lib/mozilla/components/mimetype.xpt
-lib/mozilla/components/mozbrwsr.xpt
-lib/mozilla/components/mozfind.xpt
-%%MOZILLALDAP%%lib/mozilla/components/mozldap.xpt
-lib/mozilla/components/mozxfer.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/msgbase.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/msgcompose.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/msgdb.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/msgimap.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/msglocal.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/msgnews.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/msgsearch.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/msgsmime.xpt
-lib/mozilla/components/necko.xpt
-lib/mozilla/components/necko_about.xpt
-lib/mozilla/components/necko_cache.xpt
-lib/mozilla/components/necko_cookie.xpt
-lib/mozilla/components/necko_data.xpt
-lib/mozilla/components/necko_dns.xpt
-lib/mozilla/components/necko_file.xpt
-lib/mozilla/components/necko_ftp.xpt
-lib/mozilla/components/necko_http.xpt
-lib/mozilla/components/necko_jar.xpt
-lib/mozilla/components/necko_res.xpt
-lib/mozilla/components/necko_socket.xpt
-lib/mozilla/components/necko_strconv.xpt
-lib/mozilla/components/necko_viewsource.xpt
-lib/mozilla/components/nsDictionary.js
-lib/mozilla/components/nsDownloadProgressListener.js
-lib/mozilla/components/nsFilePicker.js
-lib/mozilla/components/nsHelperAppDlg.js
-lib/mozilla/components/nsKillAll.js
-%%MOZILLALDAP%%lib/mozilla/components/nsLDAPPrefsService.js
-lib/mozilla/components/nsProgressDialog.js
-lib/mozilla/components/nsProxyAutoConfig.js
-lib/mozilla/components/nsResetPref.js
-lib/mozilla/components/nsSidebar.js
-lib/mozilla/components/nsUpdateNotifier.js
-lib/mozilla/components/nsXmlRpcClient.js
-lib/mozilla/components/oji.xpt
-lib/mozilla/components/pipboot.xpt
-lib/mozilla/components/pipnss.xpt
-lib/mozilla/components/pippki.xpt
-lib/mozilla/components/plugin.xpt
-lib/mozilla/components/pref.xpt
-lib/mozilla/components/prefmigr.xpt
-lib/mozilla/components/profile.xpt
-lib/mozilla/components/progressDlg.xpt
-lib/mozilla/components/proxyObjInst.xpt
-lib/mozilla/components/rdf.xpt
-lib/mozilla/components/regviewer.xpt
-lib/mozilla/components/related.xpt
-lib/mozilla/components/search.xpt
-lib/mozilla/components/shistory.xpt
-lib/mozilla/components/sidebar.xpt
-lib/mozilla/components/signonviewer.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/smime-service.js
-lib/mozilla/components/timebomb.xpt
-lib/mozilla/components/transformiix.xpt
-lib/mozilla/components/txmgr.xpt
-lib/mozilla/components/txtsvc.xpt
-lib/mozilla/components/uconv.xpt
-lib/mozilla/components/unicharutil.xpt
-lib/mozilla/components/uriloader.xpt
-lib/mozilla/components/urlbarhistory.xpt
-lib/mozilla/components/util.xpt
-lib/mozilla/components/venkman-service.js
-lib/mozilla/components/wallet.xpt
-lib/mozilla/components/walleteditor.xpt
-lib/mozilla/components/walletpreview.xpt
-lib/mozilla/components/webBrowser_core.xpt
-lib/mozilla/components/webbrowserpersist.xpt
-lib/mozilla/components/webshell_idls.xpt
-lib/mozilla/components/widget.xpt
-lib/mozilla/components/windowwatcher.xpt
-lib/mozilla/components/xml-rpc.xpt
-lib/mozilla/components/xmlextras.xpt
-lib/mozilla/components/xmlschema.xpt
-lib/mozilla/components/xmlsoap.xpt
-lib/mozilla/components/xmlterm-service.js
-lib/mozilla/components/xmlterm.xpt
-lib/mozilla/components/xpcom_base.xpt
-lib/mozilla/components/xpcom_components.xpt
-lib/mozilla/components/xpcom_ds.xpt
-lib/mozilla/components/xpcom_io.xpt
-lib/mozilla/components/xpcom_threads.xpt
-lib/mozilla/components/xpcom_xpti.xpt
-lib/mozilla/components/xpconnect.xpt
-lib/mozilla/components/xpinstall.xpt
-lib/mozilla/components/xpti.dat
-lib/mozilla/components/xremoteservice.xpt
-lib/mozilla/components/xuldoc.xpt
-lib/mozilla/components/xultmpl.xpt
-lib/mozilla/defaults/autoconfig/prefcalls.js
-lib/mozilla/defaults/pref/all.js
-lib/mozilla/defaults/pref/config.js
-lib/mozilla/defaults/pref/editor.js
-lib/mozilla/defaults/pref/initpref.js
-lib/mozilla/defaults/pref/inspector.js
-lib/mozilla/defaults/pref/mailnews.js
-%%MOZILLAMAILNEWS%%lib/mozilla/defaults/pref/mdn.js
-lib/mozilla/defaults/pref/security-prefs.js
-%%MOZILLAMAILNEWS%%lib/mozilla/defaults/pref/smime.js
-lib/mozilla/defaults/pref/unix.js
-lib/mozilla/defaults/pref/xpinstall.js
-lib/mozilla/defaults/profile/US/bookmarks.html
-lib/mozilla/defaults/profile/US/chrome/userChrome-example.css
-lib/mozilla/defaults/profile/US/chrome/userContent-example.css
-lib/mozilla/defaults/profile/US/localstore.rdf
-lib/mozilla/defaults/profile/US/mimeTypes.rdf
-lib/mozilla/defaults/profile/US/panels.rdf
-lib/mozilla/defaults/profile/US/search.rdf
-lib/mozilla/defaults/profile/bookmarks.html
-lib/mozilla/defaults/profile/chrome/userChrome-example.css
-lib/mozilla/defaults/profile/chrome/userContent-example.css
-lib/mozilla/defaults/profile/localstore.rdf
-lib/mozilla/defaults/profile/mimeTypes.rdf
-lib/mozilla/defaults/profile/panels.rdf
-lib/mozilla/defaults/profile/search.rdf
-lib/mozilla/defaults/wallet/DistinguishedSchema.tbl
-lib/mozilla/defaults/wallet/FieldSchema.tbl
-lib/mozilla/defaults/wallet/PositionalSchema.tbl
-lib/mozilla/defaults/wallet/SchemaConcat.tbl
-lib/mozilla/defaults/wallet/SchemaStrings.tbl
-lib/mozilla/defaults/wallet/StateSchema.tbl
-lib/mozilla/defaults/wallet/VcardSchema.tbl
-%%MOZILLALDAP%%lib/mozilla/dirver
-lib/mozilla/escape
-lib/mozilla/icons/mozicon16.xpm
-lib/mozilla/icons/mozicon50.xpm
-lib/mozilla/libgkgfx.so
-lib/mozilla/libgtkembedmoz.so
-lib/mozilla/libgtksuperwin.so
-lib/mozilla/libgtkxtbin.so
-lib/mozilla/libjsj.so
-%%MOZILLALDAP%%lib/mozilla/libldap50.so
-lib/mozilla/libmoz_art_lgpl.so
-lib/mozilla/libmozjs.so
-lib/mozilla/libmozz.so
-%%MOZILLAMAILNEWS%%lib/mozilla/libmsgbaseutil.so
-lib/mozilla/libnspr4.so
-lib/mozilla/libnss3.so
-lib/mozilla/libnssckbi.so
-lib/mozilla/libnullplugin.so
-lib/mozilla/libplc4.so
-lib/mozilla/libplds4.so
-%%MOZILLALDAP%%lib/mozilla/libprldap50.so
-lib/mozilla/libsmime3.so
-lib/mozilla/libsoftokn3.so
-lib/mozilla/libssl3.so
-lib/mozilla/libxlibrgb.so
-lib/mozilla/libxpcom.so
-lib/mozilla/libxpistub.so
-lib/mozilla/mozilla
-lib/mozilla/mozilla-bin
-lib/mozilla/mozilla-config
-lib/mozilla/mozilla-xremote-client
-lib/mozilla/nsinstall
-lib/mozilla/plugins/libjavaplugin_oji.so
-lib/mozilla/plugins/libnullplugin.so
-lib/mozilla/regExport
-lib/mozilla/regchrome
-lib/mozilla/regxpcom
-lib/mozilla/res/arrow.gif
-lib/mozilla/res/arrowd.gif
-lib/mozilla/res/broken-image.gif
-lib/mozilla/res/builtin/htmlBindings.xml
-lib/mozilla/res/builtin/platformHTMLBindings.xml
-lib/mozilla/res/builtin/xbl-forms.css
-lib/mozilla/res/charsetData.properties
-lib/mozilla/res/charsetalias.properties
-lib/mozilla/res/cmessage.txt
-lib/mozilla/res/dtd/mathml.dtd
-lib/mozilla/res/dtd/svg.dtd
-lib/mozilla/res/dtd/xhtml11.dtd
-lib/mozilla/res/entityTables/html40Latin1.properties
-lib/mozilla/res/entityTables/html40Special.properties
-lib/mozilla/res/entityTables/html40Symbols.properties
-lib/mozilla/res/entityTables/htmlEntityVersions.properties
-lib/mozilla/res/entityTables/transliterate.properties
-lib/mozilla/res/fonts/mathfont.properties
-lib/mozilla/res/fonts/mathfontCMEX10.properties
-lib/mozilla/res/fonts/mathfontCMSY10.properties
-lib/mozilla/res/fonts/mathfontMTExtra.properties
-lib/mozilla/res/fonts/mathfontMath1.properties
-lib/mozilla/res/fonts/mathfontMath2.properties
-lib/mozilla/res/fonts/mathfontMath4.properties
-lib/mozilla/res/fonts/mathfontPUA.properties
-lib/mozilla/res/fonts/mathfontSymbol.properties
-lib/mozilla/res/forms.css
-lib/mozilla/res/gfx/icon_0.gif
-lib/mozilla/res/gfx/icon_1.gif
-lib/mozilla/res/html.css
-lib/mozilla/res/html/gopher-audio.gif
-lib/mozilla/res/html/gopher-binary.gif
-lib/mozilla/res/html/gopher-find.gif
-lib/mozilla/res/html/gopher-image.gif
-lib/mozilla/res/html/gopher-menu.gif
-lib/mozilla/res/html/gopher-movie.gif
-lib/mozilla/res/html/gopher-sound.gif
-lib/mozilla/res/html/gopher-telnet.gif
-lib/mozilla/res/html/gopher-text.gif
-lib/mozilla/res/html/gopher-unknown.gif
-lib/mozilla/res/inspector/search-registry.rdf
-lib/mozilla/res/inspector/viewer-registry.rdf
-lib/mozilla/res/langGroups.properties
-lib/mozilla/res/language.properties
-lib/mozilla/res/loading-image.gif
-lib/mozilla/res/mathml.css
-lib/mozilla/res/quirk.css
-lib/mozilla/res/rdf/article.gif
-lib/mozilla/res/rdf/document.gif
-lib/mozilla/res/rdf/dom-test-1.xul
-lib/mozilla/res/rdf/dom-test-2.xul
-lib/mozilla/res/rdf/dom-test-3.xul
-lib/mozilla/res/rdf/dom-test-4.css
-lib/mozilla/res/rdf/dom-test-4.xul
-lib/mozilla/res/rdf/dom-test-5.xul
-lib/mozilla/res/rdf/dom-test-6.xul
-lib/mozilla/res/rdf/dom-test-7.xul
-lib/mozilla/res/rdf/dom-test-8.xul
-lib/mozilla/res/rdf/folder-closed.gif
-lib/mozilla/res/rdf/folder-open.gif
-lib/mozilla/res/rdf/ignore-test.xul
-lib/mozilla/res/rdf/loading.gif
-lib/mozilla/res/rdf/xpidl-test-1.xul
-lib/mozilla/res/sample.unixpsfonts.properties
-lib/mozilla/res/samples/Anieyes.gif
-lib/mozilla/res/samples/aform.css
-lib/mozilla/res/samples/beeptest.html
-lib/mozilla/res/samples/bform.css
-lib/mozilla/res/samples/bg.jpg
-lib/mozilla/res/samples/cform.css
-lib/mozilla/res/samples/checkboxTest.xul
-lib/mozilla/res/samples/colorpicker.xul
-lib/mozilla/res/samples/demoform.css
-lib/mozilla/res/samples/dexopenchrome.xul
-lib/mozilla/res/samples/dexparamdialog.html
-lib/mozilla/res/samples/dexparamdialog.xul
-lib/mozilla/res/samples/find.html
-lib/mozilla/res/samples/gear1.gif
-lib/mozilla/res/samples/hidetoolicon.css
-lib/mozilla/res/samples/hidetoolicon.xul
-lib/mozilla/res/samples/image_props.html
-lib/mozilla/res/samples/mozform.css
-lib/mozilla/res/samples/printsetup.html
-lib/mozilla/res/samples/raptor.jpg
-lib/mozilla/res/samples/rock_gra.gif
-lib/mozilla/res/samples/sampleimages/bongo.gif
-lib/mozilla/res/samples/sampleimages/down.gif
-lib/mozilla/res/samples/sampleimages/left.gif
-lib/mozilla/res/samples/sampleimages/right.gif
-lib/mozilla/res/samples/sampleimages/up.gif
-lib/mozilla/res/samples/scrollbarTest1.xul
-lib/mozilla/res/samples/scrollbarTest2.xul
-lib/mozilla/res/samples/sliderTest1.xul
-lib/mozilla/res/samples/soundtest.html
-lib/mozilla/res/samples/tab.xul
-lib/mozilla/res/samples/test.wav
-lib/mozilla/res/samples/test0.html
-lib/mozilla/res/samples/test1.html
-lib/mozilla/res/samples/test10.html
-lib/mozilla/res/samples/test11.html
-lib/mozilla/res/samples/test12.html
-lib/mozilla/res/samples/test13.html
-lib/mozilla/res/samples/test14.html
-lib/mozilla/res/samples/test15.html
-lib/mozilla/res/samples/test16.html
-lib/mozilla/res/samples/test2.html
-lib/mozilla/res/samples/test3.html
-lib/mozilla/res/samples/test4.html
-lib/mozilla/res/samples/test5.html
-lib/mozilla/res/samples/test6.html
-lib/mozilla/res/samples/test7.html
-lib/mozilla/res/samples/test8-1.html
-lib/mozilla/res/samples/test8.html
-lib/mozilla/res/samples/test8dom.html
-lib/mozilla/res/samples/test8sca.html
-lib/mozilla/res/samples/test8siz.html
-lib/mozilla/res/samples/test8tab.html
-lib/mozilla/res/samples/test9.html
-lib/mozilla/res/samples/test9a.html
-lib/mozilla/res/samples/test9b.html
-lib/mozilla/res/samples/test_ed.html
-lib/mozilla/res/samples/test_form.html
-lib/mozilla/res/samples/test_gfx.html
-lib/mozilla/res/samples/test_lbox.html
-lib/mozilla/res/samples/test_pr.html
-lib/mozilla/res/samples/test_weight.html
-lib/mozilla/res/samples/toolbarTest1.xul
-lib/mozilla/res/samples/treeTest1.css
-lib/mozilla/res/samples/treeTest1.xul
-lib/mozilla/res/samples/widgets.xul
-lib/mozilla/res/samples/xpmenu.xul
-lib/mozilla/res/samples/xulTest.css
-lib/mozilla/res/throbber/anim.gif
-lib/mozilla/res/throbber/anims00.gif
-lib/mozilla/res/throbber/anims01.gif
-lib/mozilla/res/throbber/anims02.gif
-lib/mozilla/res/throbber/anims03.gif
-lib/mozilla/res/throbber/anims04.gif
-lib/mozilla/res/throbber/anims05.gif
-lib/mozilla/res/throbber/anims06.gif
-lib/mozilla/res/throbber/anims07.gif
-lib/mozilla/res/throbber/anims08.gif
-lib/mozilla/res/throbber/anims09.gif
-lib/mozilla/res/throbber/anims10.gif
-lib/mozilla/res/throbber/anims11.gif
-lib/mozilla/res/throbber/anims12.gif
-lib/mozilla/res/throbber/anims13.gif
-lib/mozilla/res/throbber/anims14.gif
-lib/mozilla/res/throbber/anims15.gif
-lib/mozilla/res/throbber/anims16.gif
-lib/mozilla/res/throbber/anims17.gif
-lib/mozilla/res/throbber/anims18.gif
-lib/mozilla/res/throbber/anims19.gif
-lib/mozilla/res/throbber/anims20.gif
-lib/mozilla/res/throbber/anims21.gif
-lib/mozilla/res/throbber/anims22.gif
-lib/mozilla/res/throbber/anims23.gif
-lib/mozilla/res/throbber/anims24.gif
-lib/mozilla/res/throbber/anims25.gif
-lib/mozilla/res/throbber/anims26.gif
-lib/mozilla/res/throbber/anims27.gif
-lib/mozilla/res/throbber/anims28.gif
-lib/mozilla/res/throbber/anims29.gif
-lib/mozilla/res/ua.css
-lib/mozilla/res/unixcharset.properties
-lib/mozilla/res/viewer.properties
-lib/mozilla/res/viewsource.css
-lib/mozilla/run-mozilla.sh
-lib/mozilla/searchplugins/NetscapeSearch.gif
-lib/mozilla/searchplugins/NetscapeSearch.src
-lib/mozilla/searchplugins/bugzilla.gif
-lib/mozilla/searchplugins/bugzilla.src
-lib/mozilla/searchplugins/dmoz.gif
-lib/mozilla/searchplugins/dmoz.src
-lib/mozilla/searchplugins/google.gif
-lib/mozilla/searchplugins/google.src
-lib/mozilla/searchplugins/lxrmozilla.gif
-lib/mozilla/searchplugins/lxrmozilla.src
-lib/mozilla/searchplugins/mozilla.gif
-lib/mozilla/searchplugins/mozilla.src
-lib/mozilla/teststream
-lib/mozilla/timebombgen
-lib/mozilla/xcat
-lib/mozilla/xenv
-lib/mozilla/xls
-lib/mozilla/xmlterm
-lib/mozilla/xpcshell
-lib/mozilla/xpicleanup
-lib/mozilla/xpidl
-lib/mozilla/xpt_dump
-lib/mozilla/xpt_link
-@unexec rm -f %D/lib/mozilla/chrome/chrome.rdf || true
-@unexec rm -f %D/lib/mozilla/component.reg || true
-@unexec rm -f %D/lib/mozilla/components/xpti.dat || true
-@dirrm lib/mozilla/searchplugins
-@dirrm lib/mozilla/res/throbber
-@dirrm lib/mozilla/res/samples/sampleimages
-@dirrm lib/mozilla/res/samples
-@dirrm lib/mozilla/res/rdf
-@dirrm lib/mozilla/res/inspector
-@dirrm lib/mozilla/res/html
-@dirrm lib/mozilla/res/gfx
-@dirrm lib/mozilla/res/fonts
-@dirrm lib/mozilla/res/entityTables
-@dirrm lib/mozilla/res/dtd
-@dirrm lib/mozilla/res/builtin
-@dirrm lib/mozilla/res
-@dirrm lib/mozilla/plugins
-@dirrm lib/mozilla/icons
-@dirrm lib/mozilla/defaults/wallet
-@dirrm lib/mozilla/defaults/profile/chrome
-@dirrm lib/mozilla/defaults/profile/US/chrome
-@dirrm lib/mozilla/defaults/profile/US
-@dirrm lib/mozilla/defaults/profile
-@dirrm lib/mozilla/defaults/pref
-@dirrm lib/mozilla/defaults/autoconfig
-@dirrm lib/mozilla/defaults
-@dirrm lib/mozilla/components
-@dirrm lib/mozilla/chrome/overlayinfo/navigator/content
-@dirrm lib/mozilla/chrome/overlayinfo/navigator
-@dirrm lib/mozilla/chrome/overlayinfo/messenger/content
-@dirrm lib/mozilla/chrome/overlayinfo/messenger
-@dirrm lib/mozilla/chrome/overlayinfo/inspector/content
-@dirrm lib/mozilla/chrome/overlayinfo/inspector
-%%MOZILLAMAILNEWS%%@dirrm lib/mozilla/chrome/overlayinfo/editor/content
-%%MOZILLAMAILNEWS%%@dirrm lib/mozilla/chrome/overlayinfo/editor
-%%MOZILLAMAILNEWS%%@dirrm lib/mozilla/chrome/overlayinfo/cookie/content
-%%MOZILLAMAILNEWS%%@dirrm lib/mozilla/chrome/overlayinfo/cookie
-@dirrm lib/mozilla/chrome/overlayinfo/communicator/content
-@dirrm lib/mozilla/chrome/overlayinfo/communicator
-@dirrm lib/mozilla/chrome/overlayinfo
-@dirrm lib/mozilla/chrome
-@dirrm lib/mozilla
